<?php
/**
* Remove the <title> from all files in the current directory
* © 2017 Moneris Solutions Corporation, CC-BY-NC -SA 4.0
**/
foreach (glob("./*.{html, xhtml, htm}", GLOB_BRACE) as $file){
  $d = new DOMDocument();
  $d->load($file);
  $xp = new DOMXPath($d);
  $ns = $d->documentElement->namespaceURI;
   if ($ns){    
    $xp->registerNamespace("ns", $ns);
    //find all anchors
    $elements = $xp->query('//ns:title');
  } else {
    $elements = $xp->query('//title');
  }
  if($elements->item(0)){
    foreach ($elements as $title){
      $title->parentNode->removeChild($title);
    }
  }
  $d->save($file);
}
?>